---
title: "Get assets"
url: https://docs.truemarkets.co/api/institutional/get-assets-cefi
description: "Query for assets available on the exchange by specific asset ID or name. If no query parameters are supplied than ALL available assets will be returned."
---

Docs index: https://docs.truemarkets.co/llms.txt

# Get assets

Query for assets available on the exchange by specific asset ID or name.  If no query parameters are supplied than ALL available assets will be returned.

## Request

```
GET https://api.truex.co/v1/cefi/assets
```

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string | no | ID of asset to query for. |
| `name` | query | string | no | Filters assets by name. Returns assets where the name is an exact match or contains the provided substring. Matching is case-sensitive. |

## Responses

Every error status returns the same body, described in [Errors](https://docs.truemarkets.co/developer-resources/errors.md).

### 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].id` | string | no | Exchange assigned ID of asset. |
| `[].status` | string, one of `DISABLED`, `ACTIVE`, `INVALID` | no | Current asset state. |
| `[].fields` | object | no |  |
| `[].fields.name` | string | no | Human readable name of the asset. |
| `[].fields.min_transfer_qty` | string | no | The minimum amount of an asset that can be transferred in a single transaction, specific to each asset. |
| `[].fields.max_transfer_qty` | string | no | The maximum amount of an asset that can be transferred in a single transaction, specific to each asset. |
| `[].fields.flags` | array of string, one of `REFERENCE_ASSET`, `STABLECOIN` | no | A platform-defined value that provides additional metadata or classification for the asset. This flag is used to denote specific attributes or roles associated with the asset within the exchange ecosystem. - **REFERENCE_ASSET** Indicates that the asset is the default reference asset for the exchange. It serves as the primary asset for settling trades by default and is used as the basis for calculating fees. - **STABLECOIN** Indicates if the asset is a stablecoin (value pegged to a external source such as fiat currency. |

### 400

Bad request.

### 500

Internal server error.

### 503

Service unavailable.
